declare const _default: import("@vue/runtime-core").DefineComponent<{
    emitter: ObjectConstructor;
    step: {
        type: ObjectConstructor;
        default(): {
            hour: number;
            minute: number;
            second: number;
        };
    };
    showWeekNumber: {
        type: BooleanConstructor;
        default: boolean;
    };
    formatWeeks: FunctionConstructor;
    type: {
        type: StringConstructor;
        default: string;
    };
    firstDayOfWeek: {
        type: NumberConstructor;
        default: number;
    };
    timeEditable: {
        type: BooleanConstructor;
        default: boolean;
    };
    nowClick: {
        type: FunctionConstructor;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor | DateConstructor)[];
        default: string;
    };
    format: {
        type: StringConstructor;
        default: string;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    shortcuts: {
        type: ArrayConstructor;
        default: () => never[];
    };
    disabledDate: {
        type: FunctionConstructor;
        default: () => null;
    };
    popperClass: {
        type: StringConstructor;
        default: string;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}, {
    t: (this: any, path: any, options?: any) => any;
    vm: any;
    f: (props: any, attrs?: {}) => {};
    a: (attrs: any, filters: any, include: any) => {};
    d: (props: any) => void;
    dp: (props: any) => void;
    gcls: (key: any) => any;
    m: (...cssClasses: any[]) => string;
}, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, ("update:modelValue" | "select-change" | "pick" | "dodestroy")[], "update:modelValue" | "select-change" | "pick" | "dodestroy", import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    emitter: ObjectConstructor;
    step: {
        type: ObjectConstructor;
        default(): {
            hour: number;
            minute: number;
            second: number;
        };
    };
    showWeekNumber: {
        type: BooleanConstructor;
        default: boolean;
    };
    formatWeeks: FunctionConstructor;
    type: {
        type: StringConstructor;
        default: string;
    };
    firstDayOfWeek: {
        type: NumberConstructor;
        default: number;
    };
    timeEditable: {
        type: BooleanConstructor;
        default: boolean;
    };
    nowClick: {
        type: FunctionConstructor;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor | DateConstructor)[];
        default: string;
    };
    format: {
        type: StringConstructor;
        default: string;
    };
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    shortcuts: {
        type: ArrayConstructor;
        default: () => never[];
    };
    disabledDate: {
        type: FunctionConstructor;
        default: () => null;
    };
    popperClass: {
        type: StringConstructor;
        default: string;
    };
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onPick?: ((...args: any[]) => any) | undefined;
    "onSelect-change"?: ((...args: any[]) => any) | undefined;
    onDodestroy?: ((...args: any[]) => any) | undefined;
}, {
    format: string;
    type: string;
    tiny_mode_root: boolean;
    modelValue: string | number | Date;
    popperClass: string;
    readonly: boolean;
    timeEditable: boolean;
    step: Record<string, any>;
    showWeekNumber: boolean;
    disabledDate: Function;
    firstDayOfWeek: number;
    shortcuts: unknown[];
}, {}>;
export default _default;
